# TurtleLayEggEvent (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.entity, class: TurtleLayEggEvent

Package com.destroystokyo.paper.event.entity

# Class TurtleLayEggEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.TurtleLayEggEvent

All Implemented Interfaces:
  `Cancellable`

public class TurtleLayEggEvent extends EntityEvent implements Cancellable
Fired when a Turtle lays eggs

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`TurtleLayEggEvent(@NotNull Turtle turtle, @NotNull Location location, int eggCount)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getEggCount()`
Get the number of eggs being laid
`@NotNull Turtle`
`getEntity()`
The turtle laying the eggs
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getLocation()`
Get the location where the eggs are being laid
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setEggCount(int eggCount)`
Set the number of eggs being laid

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TurtleLayEggEvent

public TurtleLayEggEvent(@NotNull @NotNull Turtle turtle, @NotNull @NotNull Location location, int eggCount)

## Method Details

### getEntity

@NotNull public @NotNull Turtle getEntity()
The turtle laying the eggs

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  The turtle

### getLocation

@NotNull public @NotNull Location getLocation()
Get the location where the eggs are being laid

Returns:
  Location of eggs

### getEggCount

public int getEggCount()
Get the number of eggs being laid

Returns:
  Number of eggs

### setEggCount

public void setEggCount(int eggCount)
Set the number of eggs being laid

Parameters:
  `eggCount` - Number of eggs

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()